Subject: 11.90.2.2017-07-25; latex from command line is ok, but called from auctex, gives problems
From: Uwe Brauer <[email-masked]>
To: [email-masked]
Date: Thu, 18 Jan 2018 16:27:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

That is very bizarre.

I just installed Ubuntu 16.06 and recompiled GNU emacs, git 
version, I also run the git version from auctex.

The file in questions looks like
 \input{annu-header-beamer-dynamik.tex} 
\begin{document}  \begin{frame} Blabla \end{frame} 

Now the input file sits in

/home/oub/ALLES/HGs/tex/sty 

And I have set a TeX input path

The command env  gives
TEXINPUTS=.:/home/oub/tex/:/home/oub/ALLES/HGs/tex/bib:/home/oub/ALLES/HGs/tex/sty:

Which is fine.

So running

 pdflatex file.tex

Gives

This is pdfTeX, Version 3.14159265-2.6-1.40.16 (TeX Live 
2015/Debian) (preloaded format=pdflatex) 
 restricted \write18 enabled. 
entering extended mode (./prog_elementos-17-18.tex LaTeX2e 
<2016/02/01> Babel <3.9q> and hyphenation patterns for 81 
language(s) loaded. 
(/home/oub/ALLES/HGs/tex/sty/annu-header-beamer-dynamik.tex 
(/usr/share/texlive/texmf-dist/tex/latex/beamer/beamer.cls 
(/usr/share/texlive/texmf-dist/tex/latex/beamer/beamerbasercs.sty) 
Document Class: beamer 2015/01/05 3.36 A class for typesetting 
presentations (r cs-revision 8a39122e1f63) 

Etc etc

However running latex (pdflatex mode activated) in auctex gives 
now.

Running `LaTeX' on `prog_elementos-17-18' with ``pdflatex 
-file-line-error  --synctex=1 -interaction=nonstopmode "\input" 
prog_elementos-17-18.tex'' This is pdfTeX, Version 
3.14159265-2.6-1.40.16 (TeX Live 2015/Debian) (preloaded 
format=pdflatex) 
 restricted \write18 enabled. 
entering extended mode LaTeX2e <2016/02/01> Babel <3.9q> and 
hyphenation patterns for 81 language(s) loaded. 
(./prog_elementos-17-18.tex  ! LaTeX Error: File 
`annu-header-beamer-dynamik.tex' not found.   Type X to quit or 
<RETURN> to proceed, or enter new name. (Default extension: tex) 
Enter file name:  ./prog_elementos-17-18.tex:7: Emergency stop. 
<read *>  
          
l.7  \input{annu-header-beamer-dynamik.tex} 
                                           ^^M 
./prog_elementos-17-18.tex:7:  ==> Fatal error occurred, no output 
PDF file produced!  Transcript written on 
prog_elementos-17-18.log.   TeX Output exited abnormally with code 
1 at Thu Jan 18 16:26:07 

I don't understand that at all

When I run from the command line
pdflatex  -file-line-error  --synctex=1 -interaction=nonstopmode 
"\input" prog_elementos-17-18.tex

Everything is ok. What is up here?

Uwe Brauer

Emacs  : GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2017-10-18
Package: 11.90.2.2017-07-25

current state:
==============
(setq
 AUCTeX-date "2017-07-25"
 window-system 'x
 LaTeX-version "2e"
 TeX-style-path '("/home/oub/emacs/site-lisp/packages/auctex-git/auctex/style/" "/home/oub/ALLES/HGs/tex/sty/auto" "auto" "style")
 TeX-auto-save t
 TeX-parse-self t
 TeX-master t
 TeX-command-list '(("TeX" "%(PDF)%(tex) %(file-line-error) %(extraopts) %`%S%(PDFout)%(mode)%' %t" TeX-run-TeX nil (plain-tex-mode texinfo-mode ams-tex-mode) :help
                     "Run plain TeX")
                    ("LaTeX" "%`%l%(mode)%' %t" TeX-run-TeX nil (latex-mode doctex-mode) :help "Run LaTeX")
                    ("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile nil (texinfo-mode) :help "Run Makeinfo with Info output")
                    ("Makeinfo HTML" "makeinfo %(extraopts) --html %t" TeX-run-compile nil (texinfo-mode) :help "Run Makeinfo with HTML output")
                    ("AmSTeX" "amstex %(PDFout) %(extraopts) %`%S%(mode)%' %t" TeX-run-TeX nil (ams-tex-mode) :help "Run AMSTeX")
                    ("ConTeXt" "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode) :help "Run ConTeXt once")
                    ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode) :help "Run ConTeXt until completion")
                    ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help "Run BibTeX") ("Biber" "biber %s" TeX-run-Biber nil t :help "Run Biber")
                    ("View" "%V" TeX-run-discard-or-function t t :help "Run Viewer") ("Print" "%p" TeX-run-command t t :help "Print the file")
                    ("Queue" "%q" TeX-run-background nil t :help "View the printer queue" :visible TeX-queue-command)
                    ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t t :help "Generate PostScript file")
                    ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil t :help "Convert DVI file to PostScript")
                    ("Dvipdfmx" "dvipdfmx %d" TeX-run-dvipdfmx nil t :help "Convert DVI file to PDF with dvipdfmx")
                    ("Ps2pdf" "ps2pdf %f" TeX-run-ps2pdf nil t :help "Convert PostScript file to PDF")
                    ("Index" "makeindex %s" TeX-run-index nil t :help "Run makeindex to create index file")
                    ("makegloss" "makeindex %s.nlo -s nomencl.ist -o %s.nls" TeX-run-command t t)
                    ("pandoclatex2odt" "/home/oub/.cabal/bin/pandoc -s -R -f latex --toc %s.tex --reference-odt=/home/oub/ALLES/Templates/preferences.odt -t odt -o %O"
                     TeX-run-command t t)
                    ("pandoclatex2docx" "/home/oub/.cabal/bin/pandoc -s -R -f latex  %s.tex --reference-docx=/home/oub/ALLES/Templates/preferences.docx -t docx -o %D"
                     TeX-run-command t t)
                    ("" "" TeX-run-command nil t) ("oolatex" "/usr/share/tex4ht/oolatex %t" TeX-run-command t t)
                    ("Xindy" "texindy %s" TeX-run-command nil t :help "Run xindy to create index file")
                    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode) :help "Check LaTeX file for correctness")
                    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode) :help "Check LaTeX file for common mistakes")
                    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil t :help "Spell-check the document")
                    ("Clean" "TeX-clean" TeX-run-function nil t :help "Delete generated intermediate files")
                    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help "Delete generated intermediate and output files")
                    ("Other" "" TeX-run-command t t :help "Run an arbitrary command"))
 )